package com.ruoyi.platform.service;

import com.ruoyi.platform.domain.ActiveLearn;
import com.ruoyi.platform.vo.ActiveLearnVo;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.domain.Page;

import java.io.IOException;

public interface ActiveLearnService {
    Page<ActiveLearn> queryByPage(String name, PageRequest pageRequest);

    ActiveLearn save(ActiveLearnVo activeLearnVo) throws Exception;

    String edit(ActiveLearnVo activeLearnVo) throws Exception;

    ActiveLearnVo getActiveLearnDetail(Long id) throws IOException;

    String delete(Long id) throws Exception;

    String runActiveLearnIns (Long id) throws Exception;
}
